<?php
	
	function frm_moeda($valor){
        $x = number_format($valor,2,",",".");
        return $x;
    }

    function tirarAcentos($string){
        // matriz de entrada
        $what = array( 'ä','ã','à','á','â','ê','ë','è','é','ï','ì','í','ö','õ','ò','ó','ô','ü','ù','ú','û','À','Á','É','Í','Ó','Ú','Ã','Õ','ñ','Ñ','ç','Ç','-','(',')',',',';',':','|','!','"','#','$','%','&','/','=','?','~','^','>','<','ª','º','¬','.','£','©');
    
        // matriz de saída
        $by   = array( 'a','a','a','a','a','e','e','e','e','i','i','i','o','o','o','o','o','u','u','u','u','A','A','E','I','O','U','A','O','n','n','c','C','','','','','','','','','','','','','','','','','','','','','','','','','','');
    
        // devolver a string
        return str_replace($what, $by, $string);
    }
    
    function inverterData($data){
        if(count(explode("/",$data)) > 1){
            return implode("-",array_reverse(explode("/",$data)));
        }elseif(count(explode("-",$data)) > 1){
            return implode("/",array_reverse(explode("-",$data)));
        }
    }

    function Countdata($data){
		$sodata = substr($data, 0, 10);
		$datainvertida = inverterData($sodata);
		$hora = substr($data, 10);
		$dataehora = $datainvertida." ".$hora;

		return ($dataehora);

	}

    function inverterDataHora($data){
		$sodata = substr($data, 0, 10);
		$datainvertida = inverterData($sodata);
		$hora = substr($data, 10);
		$dataehora = $datainvertida." ".$hora;

		return ($dataehora);

    }   

    function getBarMenu($usuario){
        $usuariosModel = new \App\Models\UsuarioModel;
		$dadosnavleft['permissaomenu'] = $usuariosModel->getPermissaoMenu($usuario['ID_USUARIO']);
		$i = 0;
		foreach ($dadosnavleft['permissaomenu']->getResult() as $menu) {
			if($dadosnavleft['permissaomenu']->getResult()[$i]->ID_MENU == $menu->ID_MENU){
				$dadosnavleft['permissaomenu']->getResult()[$i]->submenu = $usuariosModel->getPermissaoSubmenu($usuario['ID_USUARIO'],$menu->ID_MENU);
			}
			$i++;
		}
		return $dadosnavleft;
    }

    function statusCampanha($str){
        if($str == "A"){
            return '<span class="label label-success">Ativo </span>';
        }else if($str == "I"){
            return '<span class="label label-default">Finalizada </span>';
        }else if($str == "N"){
            return '<span class="label label-info">Nova </span>';
        }
    }

    function origem($str){
        if($str == "F"){
            return 'Facebook';
        }else if($str == "I"){
            return 'Instagram';
        }else if($str == "Y"){
            return 'YouTube';
        }else if($str == "B"){
            return 'Busca direta';
        }
    }

    function sys_log($usuario, $comando, $tabela){
        $dados['FK_ID_USUARIO'] = $usuario;
        $dados['COMANDO'] = $comando;
        $dados['DATA'] = date('Y-m-d H:i:s');
        $dados['TABELA'] = $tabela;
        $usuariosModel = new \App\Models\UsuarioModel;
        $usuariosModel->setLog($dados);
    }
?>